--- title: "getCloudHadoopObjectList" slug: "analytics-vhadoop-getcloudhadoopobjectlist" tags: ["Cloud Hadoop"] updated: 2026-09-17T09:48:02Z published: 2026-09-17T09:48:02Z canonical: "api.ncloud-docs.com/analytics-vhadoop-getcloudhadoopobjectlist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # getCloudHadoopObjectList Available in VPC Get the list of objects in an Object Storage bucket integrated with a Cloud Hadoop cluster. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET \| POST | /vhadoop/v2/getCloudHadoopObjectList | Note This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console. ### Request headers For information about the headers common to all Cloud Hadoop APIs, see [Cloud Hadoop request headers](/docs/en/analytics-vhadoop#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Optional | Region code - See [getRegionList](/docs/en/compute-vserver-server-common-getregionlist). - First Region in the query results (default) | | `bucketName` | String | Required | Bucket name - See [getCloudHadoopBucketList](/docs/en/analytics-vhadoop-getcloudhadoopbucketlist). | | `prefix` | String | Optional | Object name prefix - Filter only objects that begin with the prefix. | | `delimiter` | String | Optional | Delimiter character - Objects containing the delimiter character are only displayed as prefixes in `commonPrefixList` of the response, and are excluded from the individual object list. | | `maxKeys` | String | Optional | Maximum number of files to display in the response | | `marker` | String | Optional | Response start point - Display objects after the starting point in UTF-8 binary order. | | `responseFormatType` | String | Optional | Format of the response data - `xml` (default) \| `json` | ### Request example The request example is as follows: ``` curl --location --request GET 'https://ncloud.apigw.ntruss.com/vhadoop/v2/getCloudHadoopObjectList ?regionCode=KR &bucketName=bk4hadoop &prefix=CONFIG &delimiter=%2FV2 &responseFormatType=json' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `getCloudHadoopObjectListResponse` | Object | - | Response result - See [CloudHadoopObjectList](/docs/en/common-vapidatatype-cloudhadoopobjectlist). | | `getCloudHadoopObjectListResponse.commonPrefixList` | Array | - | List of objects with a common prefix | | `getCloudHadoopObjectListResponse.requestId` | String | - | ID for the request - UUID format | | `getCloudHadoopObjectListResponse.returnCode` | String | - | Response code | | `getCloudHadoopObjectListResponse.returnMessage` | String | - | Response message | ### Response status codes For response status codes common to all Cloud Hadoop APIs, see [Cloud Hadoop response status codes](/docs/en/analytics-vhadoop#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "getCloudHadoopObjectListResponse": { "commonPrefixList": [ "CONFIG-BACKUP/V2" ], "cloudHadoopObjectList": [ { "key": "CONFIG-BACKUP/", "lastModified": "2025-02-25T10:03:37+0900", "size": 0 }, { "key": "CONFIG-BACKUP/V1/", "lastModified": "2025-02-28T09:26:39+0900", "size": 0 }, { "key": "CONFIG-BACKUP/V1/cluster01_2025-02-20-16-40-52_config.tar", "lastModified": "2025-02-28T09:26:52+0900", "size": 33660 }, { "key": "CONFIG-BACKUP/cluster01_2025-02-20-16-40-52_config.tar", "lastModified": "2025-02-20T16:41:00+0900", "size": 33660 }, { "key": "CONFIG-BACKUP/cluster01_2025-02-21-14-16-09_config.tar", "lastModified": "2025-02-21T14:16:14+0900", "size": 33652 }, { "key": "CONFIG-BACKUP/cluster01_2025-02-21-14-17-01_config.tar", "lastModified": "2025-02-21T14:17:07+0900", "size": 33662 }, { "key": "CONFIG-BACKUP/cluster01_2025-02-25-10-03-31_config.tar", "lastModified": "2025-02-25T10:03:37+0900", "size": 33653 } ], "requestId": "e08df7b1-****-****-****-1f3cc3516a4a", "returnCode": "0", "returnMessage": "success" } } ```